export { copyText, extractObject, getValue, setValue, toCamel } from './tools.mjs';
export { renderUnit } from './renderUnit.mjs';
export { useConfigInject } from '../hooks/useConfigInject.mjs';

function compInstall(comp) {
  comp.install = (app) => {
    const _comp = comp;
    app.component(_comp.name, _comp);
  };
  return comp;
}
function logWarn(msg) {
  if (process.env.NODE_ENV !== "production") {
    console.warn(msg);
  }
}

export { compInstall, logWarn };
//# sourceMappingURL=index.mjs.map
